Ubuntu

package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to install/upgrade: subprocess installed post-installation script returned error exit status 17

Reported by David Guerra on 2012-05-21
432
This bug affects 50 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Precise
Medium
Andy Whitcroft
Quantal
Medium
Andy Whitcroft

Bug Description

Just processing a typical update through Update Manager.

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-24-generic 3.2.0-24.38
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: david 1983 F.... pulseaudio
 /dev/snd/controlC0: david 1983 F.... pulseaudio
 /dev/snd/seq: timidity 1263 F.... timidity
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfd200000 irq 16'
   Mixer name : 'Realtek ALC892'
   Components : 'HDA:10ec0892,1462f640,00100302'
   Controls : 43
   Simple ctrls : 20
Card1.Amixer.info:
 Card hw:1 'CinemaTM'/'Microsoft Microsoft® LifeCam Cinema(TM) at usb-0000:00:12.2-1, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB045e:075d'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 56
   Mono: Capture 55 [98%] [35.00dB] [on]
Date: Mon May 21 12:33:20 2012
DuplicateSignature:
 Setting up linux-image-3.2.0-24-generic (3.2.0-24.38) ...
 Running depmod.
 Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
 dpkg: error processing linux-image-3.2.0-24-generic (--configure):
  subprocess installed post-installation script returned error exit status 17
ErrorMessage: subprocess installed post-installation script returned error exit status 17
HibernationDevice: RESUME=UUID=4d9dab17-8956-4671-9c65-63989842e59a
IwConfig:
 lo no wireless extensions.

 vboxnet0 no wireless extensions.

 eth0 no wireless extensions.
MachineType: MSI MS-7640
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-24-generic root=/dev/sda6 ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions: grub-pc 1.99-21ubuntu3
RfKill:

SourcePackage: linux
Title: package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to install/upgrade: subprocess installed post-installation script returned error exit status 17
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/25/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V22.0
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: 990XA-GD55 (MS-7640)
dmi.board.vendor: MSI
dmi.board.version: 4.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MSI
dmi.chassis.version: 4.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV22.0:bd08/25/2011:svnMSI:pnMS-7640:pvr4.0:rvnMSI:rn990XA-GD55(MS-7640):rvr4.0:cvnMSI:ct3:cvr4.0:
dmi.product.name: MS-7640
dmi.product.version: 4.0
dmi.sys.vendor: MSI

David Guerra (frustratedtech) wrote :
tags: removed: need-duplicate-check
Brad Figg (brad-figg) on 2012-05-21
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

You may need to run the following:

sudo apt-get install -f
sudo apt-get clean
sudo apt-get update

Then re-install the package.

If that does not resolve your issue, please mark the bug as "Confirmed"

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
David Guerra (frustratedtech) wrote :

david@david-MS-7640:~$ sudo apt-get install linux-image-3.2.0-24-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-image-3.2.0-24-generic is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up linux-image-3.2.0-24-generic (3.2.0-24.38) ...
Running depmod.
Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
dpkg: error processing linux-image-3.2.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
Errors were encountered while processing:
 linux-image-3.2.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

David Guerra (frustratedtech) wrote :

sudo apt-get install -f
sudo apt-get clean
sudo apt-get update

Ran the above commands then tried to install again.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
rootkowski (rootkowski) wrote :

I have the same problem, filed a bug report and it was tagged as a duplicate of this bug. (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1002830)

Just a naive question: do I dare restarting my computer? Or should I hold on for some time to avoid unbootable system issues?

Brad Figg (brad-figg) wrote :

@David Guerra,

In comment #4 you said what you did but you didn't say if it worked or you ran into the same issue again.

@David Guerra didn't work for me

jdcard (james-jdcard) wrote :

apt-get --fix-broken fails with the same error:

james@ASUS-U36JC:~$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-3.2.0-24-generic (3.2.0-24.38) ...
Running depmod.
Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
dpkg: error processing linux-image-3.2.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
Errors were encountered while processing:
 linux-image-3.2.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

David Guerra (frustratedtech) wrote :

@Brad

What I did to temporarily resolve the issue was to install linux-image-3.2.0-23-generic.

It caused the exact same error upon install.
I then purged the package linux-image-3.2.0-23-generic. Leaving .24 in place.

I can boot with no problems, and the .24 error has vanished.

I believe the problem is with initrd.img as it is missing so the sym link goes nowhere.
This is possibly a problem because I have /boot on its on partition, but I cannot verify that is the cause of the problem.

lrwxrwxrwx 1 root root 33 May 22 11:39 initrd.img -> /boot/initrd.img-3.2.0-24-generic

Symlink exists at root. and the only initrd.img I have anywhere on my system is /boot/initrd.img-3.2.0-17-generic

I'm not sure if I can just remove the symlink or if the initrd.img file is even necessary (I can boot no problems).

David Guerra (frustratedtech) wrote :
Download full text (4.0 KiB)

Just saw a new linux kernel update and I received the same error as before.

I believe this is now fixed as this is what I did.

TRIED TO INSTALL THE FAILED PACKAGE

david@david-MS-7640:/$ sudo apt-get install -f
[sudo] password for david:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-3.2.0-24-generic (3.2.0-24.39) ...
Running depmod.
Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
dpkg: error processing linux-image-3.2.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
E: Sub-process /usr/bin/dpkg returned an error code (1)

THE SYMBOLIC LINK IS THERE

david@david-MS-7640:/$ ls
bin cdrom etc initrd.img lib64 media opt root sbin srv tmp var
boot dev home lib lost+found mnt proc run selinux sys usr vmlinuz

MOVED THE SYMLINK TO INITRD.IMG.BAK

david@david-MS-7640:/$ sudo mv initrd.img initrd.img.bak

CONFIRMED MOVE

david@david-MS-7640:/$ ls -al
total 105
drwxr-xr-x 24 root root 4096 May 24 13:45 .
drwxr-xr-x 24 root root 4096 May 24 13:45 ..
drwxr-xr-x 2 root root 4096 May 20 01:24 bin
drwxr-xr-x 4 root root 1024 May 24 13:43 boot
drwxr-xr-x 2 root root 4096 May 20 00:20 cdrom
drwxr-xr-x 17 root root 4500 May 24 11:46 dev
drwxr-xr-x 140 root root 12288 May 24 13:43 etc
drwxr-xr-x 4 root root 4096 May 20 00:32 home
lrwxrwxrwx 1 root root 33 May 22 11:39 initrd.img.bak -> /boot/initrd.img-3.2.0-24-generic
drwxr-xr-x 23 root root 4096 May 20 01:47 lib
drwxr-xr-x 2 root root 4096 May 20 00:54 lib64
drwx------ 2 root root 16384 May 20 00:16 lost+found
drwxr-xr-x 2 root root 4096 May 24 09:06 media
drwxr-xr-x 2 root root 4096 Jan 27 14:05 mnt
drwxr-xr-x 3 root root 4096 May 20 01:14 opt
dr-xr-xr-x 227 root root 0 May 24 07:46 proc
drwx------ 7 root root 4096 May 20 00:59 root
drwxr-xr-x 22 root root 820 May 24 11:46 run
drwxr-xr-x 2 root root 12288 May 23 13:38 sbin
drwxr-xr-x 2 root root 4096 Dec 2 06:01 selinux
drwxr-xr-x 2 root root 4096 Feb 29 23:24 srv
drwxr-xr-x 13 root root 0 May 24 07:46 sys
drwxrwxrwt 14 root root 4096 May 24 13:45 tmp
drwxr-xr-x 11 root root 4096 May 20 01:02 usr
drwxr-xr-x 14 root root 4096 May 24 11:46 var
lrwxrwxrwx 1 root root 29 May 20 01:25 vmlinuz -> boot/vmlinuz-3.2.0-24-generic

TRIED TO INSTALL THE FAILED PACKAGE AGAIN

david@david-MS-7640:/$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-3.2.0-24-generic (3.2.0-24.39) ...
Running depmod.
Not updating image symbolic links since we are being updated/reinstalled
(3.2.0-24.38 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc...

Read more...

David Guerra (frustratedtech) wrote :

Just to note, it does create a new symlink after it installs correctly.

However, the symlink is still pointing to a non existent file.

lrwxrwxrwx 1 root root 33 May 24 13:46 initrd.img -> /boot/initrd.img-3.2.0-24-generic

Download full text (4.3 KiB)

Thx! I've move initrd.img to initrd.img.bak and just "apt-get install
-f". My problem resolved.

On Thu, May 24, 2012 at 9:51 PM, David Guerra <email address hidden> wrote:
> Just to note, it does create a new symlink after it installs correctly.
>
> However, the symlink is still pointing to a non existent file.
>
> lrwxrwxrwx   1 root root    33 May 24 13:46 initrd.img ->
> /boot/initrd.img-3.2.0-24-generic
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1003877).
> https://bugs.launchpad.net/bugs/1002388
>
> Title:
>  package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to
>  install/upgrade: subprocess installed post-installation script
>  returned error exit status 17
>
> Status in “linux” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Just processing a typical update through Update Manager.
>
>  ProblemType: Package
>  DistroRelease: Ubuntu 12.04
>  Package: linux-image-3.2.0-24-generic 3.2.0-24.38
>  ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
>  Uname: Linux 3.2.0-24-generic x86_64
>  NonfreeKernelModules: nvidia
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>  ApportVersion: 2.0.1-0ubuntu7
>  Architecture: amd64
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC1:  david      1983 F.... pulseaudio
>   /dev/snd/controlC0:  david      1983 F.... pulseaudio
>   /dev/snd/seq:        timidity   1263 F.... timidity
>  CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
>  Card0.Amixer.info:
>   Card hw:0 'SB'/'HDA ATI SB at 0xfd200000 irq 16'
>     Mixer name : 'Realtek ALC892'
>     Components : 'HDA:10ec0892,1462f640,00100302'
>     Controls      : 43
>     Simple ctrls  : 20
>  Card1.Amixer.info:
>   Card hw:1 'CinemaTM'/'Microsoft Microsoft® LifeCam Cinema(TM) at usb-0000:00:12.2-1, high speed'
>     Mixer name : 'USB Mixer'
>     Components : 'USB045e:075d'
>     Controls      : 2
>     Simple ctrls  : 1
>  Card1.Amixer.values:
>   Simple mixer control 'Mic',0
>     Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
>     Capture channels: Mono
>     Limits: Capture 0 - 56
>     Mono: Capture 55 [98%] [35.00dB] [on]
>  Date: Mon May 21 12:33:20 2012
>  DuplicateSignature:
>   Setting up linux-image-3.2.0-24-generic (3.2.0-24.38) ...
>   Running depmod.
>   Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
>   dpkg: error processing linux-image-3.2.0-24-generic (--configure):
>    subprocess installed post-installation script returned error exit status 17
>  ErrorMessage: subprocess installed post-installation script returned error exit status 17
>  HibernationDevice: RESUME=UUID=4d9dab17-8956-4671-9c65-63989842e59a
>  IwConfig:
>   lo        no wireless extensions.
>
>   vboxnet0  no wireless extensions.
>
>   eth0      no wireless extensions.
>  MachineType: MSI MS-7640
>  ProcFB: 0 VESA VGA
>  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-24-generic root=/dev/sda6 ro quiet splash vt.handoff=7
>  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session d...

Read more...

Alex Lloyd (alexl-p) wrote :

Works for me! Thanks David!

Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux (Ubuntu Quantal):
status: Confirmed → In Progress
Penn taylor (penn-taylor) wrote :

Symlink still points to non-existent file, so above solution is not correct. The underlying issue is that update-initramfs is not installed correctly ( see https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/974765 ) so the image is not generated.

The correct solution to this problem is:
$ sudo rm /usr/sbin/update-initramfs
$ sudo dpkg-divert --rename --remove /usr/sbin/update-initramfs
$ sudo apt-get install --reinstall linux-image-3.2.0-24-generic

David Guerra (frustratedtech) wrote :

I can confirm that Penn's solution does work in creating the /boot/initrd.img-3.2.0-24-generic file.
The symlink is also created properly. However, with the symlink still there, it must be removed or moved first or the above solution will not work.

Steps I did to complete without errors:

$ sudo rm /initrd.img
$ sudo rm /usr/sbin/update-initramfs
$ sudo dpkg-divert --rename --remove /usr/sbin/update-initramfs
$ sudo apt-get install --reinstall linux-image-3.2.0-24-generic

Penn taylor (penn-taylor) wrote :

Thanks for catching that, David. It seems as though the update triggers would be using 'ln -sf' for this operation, but apparently are not.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.4.0-3.8

---------------
linux (3.4.0-3.8) quantal; urgency=low

  [ Andy Whitcroft ]

  * [Config] include include/generated/compile.h
    - LP: #942569
  * [Config] fix up postinst to ensure we know which error is which
    - LP: #1002388

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: async_populate_rootfs: fix build warnings
    - LP: #1003417

  [ John Johansen ]

  * Revert "SAUCE: AppArmor: Add the ability to mediate mount"
  * SAUCE: apparmor: Add the ability to mediate mount
  * SAUCE: AppArmor: basic networking rules
  * SAUCE: apparmor: fix profile lookup for unconfined
    - LP: #978038, #987371
  * SAUCE: apparmor: fix long path failure due to disconnected path
    - LP: #955892

  [ Mario Limonciello ]

  * SAUCE: dell-laptop: rfkill blacklist Dell XPS 13z, 15
    - LP: #901410

  [ Stefan Bader ]

  * (config) Built-in xen-acpi-processor

  [ Tim Gardner ]

  * [Config] CONFIG_NET_DSA=m
    - LP: #1004148
  * [Config] Ensure CONFIG_XEN_ACPI_PROCESSOR=y for amd64
 -- Leann Ogasawara <email address hidden> Fri, 25 May 2012 11:38:33 -0700

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released

#15 work for me. Thanks David Guerra and Penn taylor.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-26.41). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise

It appears to be fixed. Do I need to log into launchpad to note this, or will this email suffice?

Regards,
Blake

Luis Henriques <email address hidden> wrote:

This bug is awaiting verification that the kernel for Precise in
-proposed solves the problem (3.2.0-26.41). Please test the kernel and
update this bug with the results. If the problem is solved, change the
tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be
dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
to enable and use -proposed. Thank you!

** Tags added: verification-needed-precise

--
You received this bug notification because you are subscribed to a
duplicate bug report (1004241).
https://bugs.launchpad.net/bugs/1002388

Title:
package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to
install/upgrade: subprocess installed post-installation script
returned error exit status 17

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1002388/+subscriptions

Herton R. Krzesinski (herton) wrote :

Marking verified as per comment #20

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Andy Whitcroft (apw)
tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (13.2 KiB)

This bug was fixed in the package linux - 3.2.0-26.41

---------------
linux (3.2.0-26.41) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1012057

  [ Andy Whitcroft ]

  * [Config] fix up postinst to ensure we know which error is which
    - LP: #1002388
  * [Config] highbank -- commonise filesystems
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise subsystems
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise network protocols
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise input drivers
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise CRYPTO options
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise HID options
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise sensors options
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise EXPORTFS/FHANDLE
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise CONFIG_CRYPTO_LZO
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise ENCRYPTED_KEYS
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise CONFIG_ATALK
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise INET/INET6
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise NLS
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise BLK/CHR
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise PHY settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise CRC settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise BINFMT settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise DM settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise RTC_DRV settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise KEYBOARD/MOUSE settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise USB settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise GPIO settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise I2C settings
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise numerous subsystem selectors
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise A-C modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise D-F modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise G-I modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise J-L modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise M modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise N-P modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise Q-R modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise S modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise T modules missmatches
    - LP: #1000831, #1010463
  * [Config] highbank -- commonise U-Z modules missmatches
    - LP: #1000831, #1010463

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: fix get_gate_vma call in i386 NX emulation code
    - LP: #1009200

  [ Ike Panhc ]

  * [Config] add...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Stephen Brandwood (sbrandwoo) wrote :

Everytime my update manager fails, it raises a bug that ends up being a duplicate of this one.

I see it is "Fix Released", in which case, why does it keep failing?

That's was the same thing for me after the bug is "Fix Released". The only way I found to solve this bug is to uninstall the package linux-image-3.2.0-24-generic via Synaptic.

> Date: Mon, 30 Jul 2012 18:38:58 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1002388] Re: package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to install/upgrade: subprocess installed post-installation script returned error exit status 17
>
> Everytime my update manager fails, it raises a bug that ends up being a
> duplicate of this one.
>
> I see it is "Fix Released", in which case, why does it keep failing?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1008789).
> https://bugs.launchpad.net/bugs/1002388
>
> Title:
> package linux-image-3.2.0-24-generic 3.2.0-24.38 failed to
> install/upgrade: subprocess installed post-installation script
> returned error exit status 17
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1002388/+subscriptions

Query re Bug #1048919 and kernels 2.6.32-x, now considered a duplicate of this one:

It'swonderful to hear that this problem is likely to disappear for the 3.2.x kernels. Should one hope that the fix will back-propagate to the 2.6.32-x kernels?

Also, as a result of this problem, I'm currently stuck having to manually select and boot from an older kernel. I managed to "patch up" my system for a while by manually running 'update-initramfs -u -k ' following each kernel update. That no longer works.

Can anyone suggest a "patch up" workaround for kernels 2.6.32-42and later?

Presumably which will need to be re-applied each time Update Manager installs a new kernel, at least until the fix for the installation makes it intoproduction.

Thanks...

Frank McKenney

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers